/* Copyright 2009 Palm, Inc.  All rights reserved. */

var RestoreCompleteService = Class.create( {
	initialize: function() {
		Mojo.Log.info("---------------- Initializing RestoreCompleteService ------------");
	},
	
	notify: function(service, successCallback, errorCallback, sceneController) {
		var serviceName = "palm://"+service;
		return sceneController.serviceRequest(serviceName, {
			method: 'restoreCompleted',
			parameters: {"subscribe": true},
			onSuccess: successCallback,
			onFailure:errorCallback
		}, true);
	}
});	
	
	